where can I download pdk 9.5

Posted by cellist on 2016-06-17 05:21
Forums: PDK Support | OS: Windows 7

This is a re-post of my previous post on/about 7June, which apparently got lost due to
a problem with the forum database.

I use the community version of ActivePerl. I purchased the pdk several years ago and I've
been able to get updates with no problem. Now, I want to install perl 5.22 and I think that
I will need pdk version 9.5 to use pdk with 5.22.

Where can I download pdk 9.5?

i-shenl
ActiveState Staff
Fri, 2016-06-17 07:26

You can download the installer for PDK 9.5 from here:
http://downloads.activestate.com/

9.5.1 is the latest version of 9.5 and it's recommended to go with that one.

dano | Tue, 2017-03-21 13:37

PDK downloads do not appear to be accessible any longer. Is there another way to download them, like by FTP?

grahams
ActiveState Staff
Wed, 2017-03-22 10:54

If you have an existing license you can still access a download area through your Account page at the ActiveState store.
When you're signed in to an ActiveState page, the "My Account" link is at the top right the browser view.

cellist | Thu, 2016-12-15 07:58

I received a direct email from support@activestate.com Graham Stuart on 10/24/2016 (that is, not a posted message or reply here) in response to my question "Are perl 5.24 and a supported version of the PDK now available?", as follows:

"Perl.org has just retracted the latest RC for 5.24.1 and 5.22.4. They will be releasing another RC shortly."

What is the status of that perl version release?

Thanks,
Phil

i-shenl
ActiveState Staff
Thu, 2016-12-15 14:25

Unfortunately we don't know because Perl.Org still has not put out a final release for 5.24.1 and 5.22.4.

cellist | Sat, 2016-12-17 10:29

the 5.24.1 release is imminent.

Just for my own edification...is it the case that AS will build upon
the perl.org version? Or is any AS version typically exactly the same
as the perl.org version?

cellist | Fri, 2016-12-16 16:08

perl.org says 5.24 was released in May. Is that, or will it be, the version supported by AS users of the community (free) version? Will I be able to use a version (the latest version I suppose) of the PDK with that version of perl?

http://perlnews.org/2016/05/perl-5-24-released/?utm_source=feedburner&ut...

cellist | Sat, 2016-12-17 10:20

according to the perl.org website.

Just for my own edification...is it the case that AS will build upon the perl.org version? Or is any AS version typically exactly the same as the perl.org version?

grahams
ActiveState Staff
Mon, 2016-12-19 09:30

The most recent news from the 5.24.1 release team at perl.org is that they want 5.24.1 to be as solid as possible given all the back and forth between RC1 and RC3, and they won't release until they feel it's ready. Last week, they confirmed there would not be a release before Christmas.

There may well be another 5.24.0 ActivePerl release shipped before 5.24.1 has been blessed.

ActivePerls are a superset of the official Perl release; not exactly the same, but the parts that Perl.org defines as core for a particular release of Perl will be exactly the same.

No, PDK 9.5.1 or older will still not support 5.24 at any revision. There would have to be an updated version of PDK released to alter the versions of Perl that can be supported by the PDK.